---
title: '<rp>: The Ruby Fallback Parenthesis element'
slug: Web/HTML/Element/rp
tags:
  - Element
  - HTML
  - HTML text-level semantics
  - Reference
  - Ruby
  - Text
  - Web
---
<div>{{HTMLRef}}</div>

<p><span class="seoSummary">The <strong>HTML Ruby Fallback Parenthesis (<code>&lt;rp&gt;</code>) element</strong> is used to provide fall-back parentheses for browsers that do not support display of ruby annotations using the {{HTMLElement("ruby") }} element.</span> One <code>&lt;rp&gt;</code> element should enclose each of the opening and closing parentheses that wrap the {{HTMLElement("rt")}} element that contains the annotation's text.</p>

<div>{{EmbedInteractiveExample("pages/tabbed/rp.html", "tabbed-shorter")}}</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td>None.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td>Text</td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>The end tag can be omitted if the element is immediately followed by an {{HTMLElement("rt")}} or another <code>&lt;rp&gt;</code> element, or if there is no more content in the parent element.</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>A {{HTMLElement("ruby")}} element. <code>&lt;rp&gt;</code> must be positioned immediately before or after an {{HTMLElement("rt")}} element.</td>
  </tr>
  <tr>
   <th scope="row">Implicit ARIA role</th>
   <td><a href="https://www.w3.org/TR/html-aria/#dfn-no-corresponding-role">No corresponding role</a></td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>Any</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{domxref("HTMLElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>This element only includes the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<h2 id="Usage_notes">Usage notes</h2>

<ul>
 <li>Ruby annotations are for showing pronunciation of East Asian characters, like using Japanese furigana or Taiwanese bopomofo characters. The <code>&lt;rp&gt;</code> element is used in the case of lack of {{HTMLElement("ruby")}} element support; the <code>&lt;rp&gt;</code> content provides what should be displayed in order to indicate the presence of a ruby annotation, usually parentheses.</li>
</ul>

<h2 id="Examples">Examples</h2>

<p>This example uses ruby annotations to display the {{interwiki("wikipedia", "Romaji")}} equivalents for each character.</p>

<div id="with-ruby">
<pre class="brush: html">&lt;ruby&gt;
  漢 &lt;rp&gt;(&lt;/rp&gt;&lt;rt&gt;Kan&lt;/rt&gt;&lt;rp&gt;)&lt;/rp&gt;
  字 &lt;rp&gt;(&lt;/rp&gt;&lt;rt&gt;ji&lt;/rt&gt;&lt;rp&gt;)&lt;/rp&gt;
&lt;/ruby&gt;</pre>

<div class="hidden">
<h3 id="CSS">CSS</h3>

<pre class="brush: css">body {
  font-size: 22px;
}</pre>
</div>
</div>

<p>The result looks like this in your browser:</p>

<p>{{EmbedLiveSample("with-ruby", 600, 60)}}</p>

<p>The HTML above rendered by a browser <em>without</em> ruby support might look like this:</p>

<div id="without-ruby">
<div class="hidden">
<pre class="brush: html">漢 (Kan) 字 (ji)</pre>

<pre class="brush: css">body {
  font-size: 22px;
}
</pre>
</div>
</div>

<p>{{EmbedLiveSample("without-ruby", 600, 60)}}</p>

<p>See the article about the {{HTMLElement("ruby")}} element for further examples.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'text-level-semantics.html#the-rp-element', '&lt;rp&gt;')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'textlevel-semantics.html#the-rp-element', '&lt;rp&gt;')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.rp")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTMLElement("ruby")}}</li>
 <li>{{HTMLElement("rt")}}</li>
 <li>{{HTMLElement("rb")}}</li>
 <li>
  <p>{{HTMLElement("rtc")}}</p>
 </li>
</ul>
